Subject: Re: [PATCH] scalar: accept -C and -c options before the subcommand

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Thu, 27 Jan 2022 03:55:58 +0100

On Wed, Jan 26 2022, Johannes Schindelin via GitGitGadget wrote:

> From: Johannes Schindelin <[email-masked]>
>
> The `git` executable has these two very useful options:
>
> -C <directory>:
> 	switch to the specified directory before performing any actions
>
> -c <key>=<value>:
> 	temporarily configure this setting for the duration of the
> 	specified scalar subcommand
>
> With this commit, we teach the `scalar` executable the same trick.
>
> Signed-off-by: Johannes Schindelin <[email-masked]>
> ---
>     scalar: accept -C and -c options
>     
>     This makes the scalar command a bit more handy by offering the same -c
>     <key>=<value> and -C <directory> options as the git command.
>
> Published-As: https://github.com/gitgitgadget/git/releases/tag/pr-1130%2Fdscho%2Fscalar-c-and-C-v1
> Fetch-It-Via: git fetch https://github.com/gitgitgadget/git pr-1130/dscho/scalar-c-and-C-v1
> Pull-Request: https://github.com/gitgitgadget/git/pull/1130

I think it would help for context to note that this patch had at least 6
submissions on the ML already as part of early versions of the scalar
series.

Here's the CL of the iteration that ejected it:
https://lore.kernel.org/git/[email-masked]/

Where you summarized:
    
     * The patch that adds support for -c <key>=<value> and -C <directory> was
       moved to its own add-on patch series: While it is obvious that those
       options are valuable to have, an open question is whether there are other
       "pre-command" options in git that would be useful, too, and I would like
       to postpone that discussion to that date.

Having been involved in those discussions I can't remember what the
pre-command options you're referring to there are, but it seems "that
date" is probably upon us.